var cordova = require('cordova'),
    exec = require('cordova/exec');

var HTTPProxy = function() {};


HTTPProxy.prototype.get = function(success, fail, url, auth) {
    exec(success, fail, "HTTPProxy", "get", [ url, auth ]);
};

HTTPProxy.prototype.post = function(success, fail, url, auth, payload) {
    exec(success, fail, "HTTPProxy", "post", [ url, auth, payload ]);
};

var httpProxy = new HTTPProxy();
module.exports = httpProxy;
